package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.*;
import com.ruoyi.gysl.entity.request.BasicInformationPageReq;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.entity.response.ProjectExcelInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 标签管理(gysl_bqgl)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 09:25:51
 */
public interface GyslBqglMapper extends BaseMapper<GyslBqgl> {

    /**
     * 根据项目id查询项目标签管理
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<GyslBqgl> searchId(@Param("req") ZwIdPageReq zwIdPageReq);
}

