package com.ruoyi.gysl.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.request.MlPageReq;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.gysl.entity.Ml;

/**
 * 目录管理(Ml)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-22 09:21:57
 */
public interface MlMapper extends BaseMapper<Ml> {

    /**
     * 分页查询所有目录
     *
     * @param page 分页对象
     * @return 所有数据
     */
    Page<Ml> page(Page<Ml> page,@Param("req") MlPageReq req);

    /**
     * 查询所有目录
     *
     * @return 所有数据
     */
    List<Ml> page(@Param("req") MlPageReq req);
}

