package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.itextpdf.layout.Document;
import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.GyslProjectHandbook;
import com.ruoyi.gysl.entity.response.BasicInformationResponse;

import javax.servlet.http.HttpServletResponse;
import java.io.FileNotFoundException;
import java.net.MalformedURLException;

/**
 * 项目手册(GyslProjectHandbook)表服务接口
 *
 * @author makejava
 * @since 2025-04-14 13:56:59
 */
public interface GyslProjectHandbookService extends IService<GyslProjectHandbook> {


    /**
     * 生成pdf
     */
    void generatePdfs(HttpServletResponse response,Integer id) throws FileNotFoundException, MalformedURLException;

    /**
     * 封面页设计
     */
    void addCoverPage(Document document, GyslProjectHandbook gyslProjectHandbook) throws MalformedURLException;

    /**
     * 目录页设计
     */
    void addTableOfContents(Document document, java.util.List<BasicInformationResponse> basicInfoList);

    /**
     * 内容页设计
     */
    void addProductPages(Document document, java.util.List<BasicInformationResponse> basicInfoList) throws MalformedURLException;



}


