package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.CybqRequest;
import com.ruoyi.gysl.mapper.CybqMapper;
import com.ruoyi.gysl.entity.Cybq;
import com.ruoyi.gysl.service.CybqService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 产业标签(GyslCybq)表服务实现类
 *
 * @author makejava
 * @since 2025-04-02 11:02:35
 */
@Service("gyslCybqService")
public class CybqServiceImpl extends ServiceImpl<CybqMapper, Cybq> implements CybqService {


    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param gyslCybq 查询实体
     * @return 所有数据
     */
    @Override
    public Page<Cybq> page(Page<Cybq> page, CybqRequest gyslCybq) {
        return baseMapper.page(page,gyslCybq);
    }

    /**
     * 查询所有数据
     *
     * @param gyslCybq 查询实体
     * @return 所有数据
     */
    @Override
    public List<Cybq> page(CybqRequest gyslCybq) {
        return baseMapper.page(gyslCybq);
    }
}

