package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.gysl.entity.QyrzInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

/**
 * (QyrzInformation)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-19 15:25:17
 */
public interface QyrzInformationMapper extends BaseMapper<QyrzInformation> {

    /**
     * 根据项目id查询企业入驻基本信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    QyrzInformation selectAll(@Param("req") ZwIdPageReq zwIdPageReq);
}

